Bug 31542 - Home page links wrong font-family
Summary: Home page links wrong font-family
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Fridolin Somers
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-09-09 06:17 UTC by Fridolin Somers
Modified: 2022-11-20 00:32 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.11.00, 22.05.07, 21.11.14


Attachments
Bug 31542: Home page links correct font-family (1.29 KB, patch)
2022-09-09 06:46 UTC, Fridolin Somers
Details | Diff | Splinter Review
Bug 31542: Home page links correct font-family (1.34 KB, patch)
2022-09-09 10:55 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 31542: Home page links correct font-family (1.40 KB, patch)
2022-09-11 13:15 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Fridolin Somers 2022-09-09 06:17:11 UTC
In koha-tmpl/intranet-tmpl/prog/css/mainpage.css the rule of font-family for big links is not complete :
  font-family: verdana, arial;
It is missing sans-serif in case computer has not those fonts.
On my computer I dont have them so I see a serif font.
Comment 1 Fridolin Somers 2022-09-09 06:46:39 UTC
Created attachment 140361 [details] [review]
Bug 31542: Home page links correct font-family

In koha-tmpl/intranet-tmpl/prog/css/mainpage.css the rule of font-family for big links is not complete :
  font-family: verdana, arial;
It is missing sans-serif in case computer has not those fonts.
On my computer I dont have them so I see a serif font.

We can remove this rule, inherited rule is serif fonts.

Test plan :
1) Use a computer without Arial nor Verdana fonts (basically a Linux)
2) Look at home page big links : Circulation, Patrons ...
=> Without patch they have serif font
=> Without patch they have sans-serif font
Comment 2 Owen Leonard 2022-09-09 10:55:36 UTC
Created attachment 140370 [details] [review]
Bug 31542: Home page links correct font-family

In koha-tmpl/intranet-tmpl/prog/css/mainpage.css the rule of
font-family for big links is not complete :
  font-family: verdana, arial;
It is missing sans-serif in case computer has not those fonts.
On my computer I dont have them so I see a serif font.

We can remove this rule, inherited rule is serif fonts.

Test plan :
1) Use a computer without Arial nor Verdana fonts (basically a Linux)
2) Look at home page big links : Circulation, Patrons ...
   => Without patch they have serif font
   => Without patch they have sans-serif font

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Katrin Fischer 2022-09-11 13:15:31 UTC
Created attachment 140397 [details] [review]
Bug 31542: Home page links correct font-family

In koha-tmpl/intranet-tmpl/prog/css/mainpage.css the rule of
font-family for big links is not complete :
  font-family: verdana, arial;
It is missing sans-serif in case computer has not those fonts.
On my computer I dont have them so I see a serif font.

We can remove this rule, inherited rule is serif fonts.

Test plan :
1) Use a computer without Arial nor Verdana fonts (basically a Linux)
2) Look at home page big links : Circulation, Patrons ...
   => Without patch they have serif font
   => With patch they have sans-serif font

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Tomás Cohen Arazi 2022-09-12 18:37:35 UTC
Pushed to master for 22.11.

Nice work everyone, thanks!
Comment 5 Lucas Gass 2022-10-31 20:43:00 UTC
Backported to 22.05.x for upcoming 22.05.07 release
Comment 6 Arthur Suzuki 2022-11-14 14:02:44 UTC
applied to 21.11.x for 21.11.14
Comment 7 Victor Grousset/tuxayo 2022-11-20 00:32:44 UTC
Not backported to oldoldstable (21.05.x). Feel free to ask if it's needed.

Nothing to document it seems, marking resolved.